// main: _projects.scss

.projects {
  // filtering buttons
  button {
    transition: all 0.2s linear;
    background: transparent;
    border: 0;
    padding: 2px 10px;
    border-bottom: 1px solid transparent;
    position: relative;
    margin-right: 10px;
    cursor: pointer;
    height: 50px;

    &.is-checked {
      color: $strong-color;
      font-weight: 700;
      font-size: 1.3em;
      padding: 2px 5px;
    }

    &:focus {
      outline: none;
    }

    &:after {
      content: '';
      position: absolute;
      right: -5px;
      top: 5px;
      display: block;
      background: $gray-color;
      width: 1px;
      height: 80%;
    }

    &:last-child {
      margin-right: 0;
      &:after {
        display: none;
      }
    }
  }
}
